Bug 1015271 - [RFE] Add Support of Wacom 22HD Touch tablet
[RFE] Add Support of Wacom 22HD Touch tablet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-wacom (Show other bugs)
7.0
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
: FutureFeature
Depends On: 1018427 1018428
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 14:56 EDT by Michael Boisvert
Modified: 2014-06-18 03:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-wacom-0.23.0-6.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:15:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Boisvert 2013-10-03 14:56:20 EDT
Description of problem: The 22HD touch is recognized as a different tablet from the regular 22HD, so it is not enabled in RHEL.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Plug in Wacom 22HD touch
2.
3.

Actual results: Not recognized in RHEL


Expected results: Enabled and configurable in RHEL7.


Additional info:

The 22HD touch has the following usb id's associated with it:

056a:005e
056a:005b
056a:005c
Comment 2 Peter Hutterer 2013-10-21 03:23:53 EDT
Does this device show up in the kernel? The 0.22 wacom driver should already support it. Can you attach an evemu recording please?
Comment 3 Michael Boisvert 2013-10-23 12:25:51 EDT
(In reply to Peter Hutterer from comment #2)
> Does this device show up in the kernel? The 0.22 wacom driver should already
> support it. Can you attach an evemu recording please?

You're right, I was trying the tablet on an earlier release. 

I noticed two problems however:

1. In a two monitor setup, the touch portion of the screen is stretched across both monitors instead of just on the touch screen itself. (I am seeing this on the x230t as well).

2. Once the screen selection is just the tablet, the touch portion works correctly but I cannot use the calibrate function. 

Should I close this bug and file the other two?
Comment 5 Peter Hutterer 2013-10-27 21:27:53 EDT
Give xorg-x11-drv-wacom-0.23.0-1.el7 and libwacom-0.8-1.el7 a try please, that should work now.

Note that if the tablet works and shows up with the required tools in xinput list, then the driver works. If the tablet doesn't map to the right screen, then it's a libwacom issue.
Comment 6 Peter Hutterer 2014-02-04 23:07:49 EST
should already be working with xf86-input-wacom-0.23.0-3.el6, please confirm.
Comment 7 Peter Hutterer 2014-02-25 22:14:07 EST
MODIFIED 

xorg-x11-drv-wacom-0.23.0-6.el7 is available in brew
Comment 9 Michael Boisvert 2014-02-28 15:50:02 EST
I did a full test run with the 22HD and it is now configurable in RHEL. The only issue is mentioned in bz: 1029612.

Verified.
Comment 10 Ludek Smid 2014-06-13 09:15:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.